Gecode::Driver Namespace Reference

Script commandline driver. More...

## Classes

class | BaseOption
| Base class for options. More...
class | StringValueOption
| String-valued option. More...
class | StringOption
| String-valued option (integer value defined by strings). More...
class | IntOption
| Integer option. More...
class | UnsignedIntOption
| Unsigned integer option. More...
class | DoubleOption
| Double option. More...
class | BoolOption
| Boolean option. More...
class | IplOption
| Integer propagation level option. More...
class | TraceOption
| Trace flag option. More...
class | ScriptBase
| Parametric base-class for scripts. More...
class | ExtractStepOption
| Class to extract the step option value. More...
class | IgnoreStepOption
| Class to ignore the step option value. More...
class | CombinedStop
| Stop object based on nodes, failures, and time. More...
class | GistEngine
| Traits class for search engines. More...
class | GistEngine< DFS< S > >
| Specialization for DFS. More...
class | GistEngine< LDS< S > >
| Specialization for LDS. More...
class | GistEngine< BAB< S > >
| Specialization for BAB. More...
class | ScriptGetInfo
| Class to send solution information to CPProfiler for a script. More...
class | EngineToMeta
| Wrapper class to add engine template argument. More...

## Functions

void | stop (Support::Timer &t, std::ostream &os)
| Get time since start of timer and print user friendly time information.
double | am (double t[], unsigned int n)
| Compute arithmetic mean of n elements in t.
double | dev (double t[], unsigned int n)
| Compute deviation of n elements in t.
template<class Options>
Search::Cutoff * | createCutoff (const Options &o)
| Create cutoff object from options.

## Detailed Description

Script commandline driver.

The Gecode::Driver namespace contains support for passing common commandline options and for scripts that use the commandline options.

## Function Documentation

## stop()

void Gecode::Driver::stop | ( | Support::Timer & | timer,
|  | std::ostream & | os )

Get time since start of timer and print user friendly time information.

Definition at line 42 of file script.cpp.

## am()

double Gecode::Driver::am | ( | double | t[],
|  | unsigned int | n )

Compute arithmetic mean of n elements in t.

Definition at line 74 of file script.cpp.

## dev()

double Gecode::Driver::dev | ( | double | t[],
|  | unsigned int | n )

Compute deviation of n elements in t.

Definition at line 84 of file script.cpp.

## createCutoff()

template<class Options>

Search::Cutoff * Gecode::Driver::createCutoff | ( | const Options & | o | ) |

inline

Create cutoff object from options.

Definition at line 153 of file script.hpp.